Bug 101981 - modprobe printer: Module printer not found on Kernel 2.6.0-0.test2.1.30
modprobe printer: Module printer not found on Kernel 2.6.0-0.test2.1.30
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-08 11:30 EDT by Alan Cramer
Modified: 2015-01-04 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 20:02:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cramer 2003-08-08 11:30:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030519
Mozilla Firebird/0.6

Description of problem:
pluging in a usb printer in, and checking the log states that it fails on
modprobe printer returning

FATAL: Module printer not found.

and when printing to cups, gives the following:

Unable to open USB device "usb:/dev/usb/lp0"; No such device

Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test2.1.30

How reproducible:
Always

Steps to Reproduce:
1. Install arjanv's 2.6 test rpm
2. plugin usb printer
3. open System Logs application, and click on "System Log" in left pane
    

Actual Results:  Aug  9 00:52:18 forbear kernel: hub 1-0:0: debounce: port 1:
delay 100ms stable 4 status 0x101
Aug  9 00:52:18 forbear kernel: hub 1-0:0: new USB device on port 1, assigned
address 3
Aug  9 00:52:18 forbear /etc/hotplug/usb.agent: Bad USB agent invocation
Aug  9 00:52:18 forbear kernel: drivers/usb/class/usblp.c: usblp0: USB
Bidirectional printer dev 3 if 0 alt 0 proto 2 vid 0x03F0 pid 0x1904
Aug  9 00:52:18 forbear /etc/hotplug/usb.agent: Bad USB agent invocation
Aug  9 00:52:21 forbear /etc/hotplug/usb.agent: Setup printer for USB product
3f0/1904/100
Aug  9 00:52:21 forbear modprobe: FATAL: Module printer not found. 

Expected Results:  my printer being able to work.

Additional info:

Printer is a HP DeskJet 3820
Comment 1 raxet 2003-08-17 09:55:08 EDT
Same here. I have a HP OfficeJet V40. Can't get CUP or any printing to port
/dev/usb/lp0 while booting kernel 2.6.0-0.test3.1.31 i686. Funny thing is the
log shows all sort of activity on the the port. I installed printer using
redhat-config-printer and here is the final output when doing the test print:
There was a problem sending CUPS test page
to 'HPv40' queue:

lpr: unable to print file: server-error-service-unavailable
Comment 2 Dave Jones 2004-11-19 20:56:28 EST
fixed in latest release ?
Comment 3 Dave Jones 2005-01-10 20:02:58 EST
closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.